import { createWebHashHistory, createRouter, RouteRecordRaw } from 'vue-router'

import LayoutView from '../views/layout/index.vue'
import LoginView from '../views/login/index.vue'
import MenuView from '../views/menu/index.vue'
import OrderView from '../views/order/index.vue'
import orderDetail from '../views/order/orderDetail.vue'
import ExitView from '../views/exit/index.vue'
import { path } from '@tauri-apps/api'

const routes: RouteRecordRaw[] = [
  { path: '/login', component: LoginView },
  {
    path: '/',
    component: LayoutView,
    redirect: '/menu',
    children: [
      { path: '/menu', component: MenuView },
      { 
        path: '/order', 
        children: [
          {
            path:'orderList',
            component: OrderView,
          },
          {
            path:'orderDetail',
            component: orderDetail,
          }
        ]
      },
      { path: '/exit', component: ExitView },
    ],
  },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes,
})
export default router
